#ifndef _PLAYER_XPM_H_
#define _PLAYER_XPM_H_

static const gchar *xpm_record[] = {
	"16 16 4 1",
	"  c None",
	". c #000000",
	"R c #FF0000",
	"W c #FFFFFF",
	"                ",
	"                ",
	"                ",
	"       ...W     ",
	"     ..RRR..W   ",
	"    .RRRRRRR.W  ",
	"   .RRRRRRRRR.W ",
	"   .RRRRRRRRR.W ",
	"   .RRRRRRRRR.W ",
	"    .RRRRRRR.W  ",
	"     . RRR..W   ",
	"       ...W     ",
	"                ",
	"                ",
	"                ",
	"                ",
};

static const gchar *xpm_play[] = {
	"16 16 4 1",
	"  c None",
	". c #000000",
	"R c #FF0000",
	"W c #FFFFFF",
	"                ",
	"                ",
	"                ",
	"  W.            ",
	"  W...          ",
	"  W.....        ",
	"  W.......      ",
	"  W.........    ",
	"  W........     ",
	"  W......W      ",
	"  W...W W       ",
	"  W.W           ",
	"   W            ",
	"                ",
	"                ",
	"                ",
};

static const gchar *xpm_fskp[] = {
	"16 16 4 1",
	"  c None",
	". c #000000",
	"R c #FF0000",
	"W c #FFFFFF",
	"                ",
	"                ",
	"             .. ",
	"  W.         .. ",
	"  W...       .. ",
	"  W.....     .. ",
	"  W.......   .. ",
	"  W......... .. ",
	"  W........  .. ",
	"  W......W   .. ",
	"  W...W W    .. ",
	"  W.W        .. ",
	"   W         .. ",
	"                ",
	"                ",
	"                ",
};

static const gchar *xpm_bskp[] = {
	"16 16 4 1",
	"  c None",
	". c #000000",
	"R c #FF0000",
	"W c #FFFFFF",
	"                ",
	"                ",
	" ..             ",
	" ..         .W  ",
	" ..       ...W  ",
	" ..     .....W  ",
	" ..   .......W  ",
	" .. .........W  ",
	" ..  ........W  ",
	" ..   W......W  ",
	" ..    W W...W  ",
	" ..        W.W  ",
	" ..         W   ",
	" ..             ",
	"                ",
	"                ",
};

static const gchar *xpm_ffwd[] = {
	"16 16 4 1",
	"  c None",
	". c #000000",
	"R c #FF0000",
	"W c #FFFFFF",
	"                ",
	"                ",
	" ....  ....     ",
	"  ....  ....    ",
	"   ....  ....   ",
	"    ....  ....  ",
	"     ....  .... ",
	"      ....  ....",
	"      ....  ....",
	"     ....W ....W",
	"    ....W ....W ",
	"   ....W ....W  ",
	"  ....W ....W   ",
	" ....W ....W    ",
	"                ",
	"                ",
};

static const gchar *xpm_fbwd[] = {
	"16 16 4 1",
	"  c None",
	". c #000000",
	"R c #FF0000",
	"W c #FFFFFF",
	"                ",
	"                ",
	"     ....  .... ",
	"    ....  ....  ",
	"   ....  ....   ",
	"  ....  ....    ",
	" ....  ....     ",
	"....  ....      ",
	"....  ....      ",
	"W.... W....     ",
	" W.... W....    ",
	"  W.... W....   ",
	"   W.... W....  ",
	"    W.... W.... ",
	"                ",
	"                ",
};


static const gchar *xpm_pause[] = {
	"16 16 4 1",
	"  c None",
	". c #000000",
	"R c #FF0000",
	"W c #FFFFFF",
	"                ",
	"                ",
	"                ",
	"                ",
	"    ...W  ...W  ",
	"    ...W  ...W  ",
	"    ...W  ...W  ",
	"    ...W  ...W  ",
	"    ...W  ...W  ",
	"    ...W  ...W  ",
	"    ...W  ...W  ",
	"    ...W  ...W  ",
	"    ...W  ...W  ",
	"      W     W   ",
	"                ",
	"                ",
};

static const gchar *xpm_stop[] = {
	"16 16 4 1",
	"  c None",
	". c #000000",
	"R c #FF0000",
	"W c #FFFFFF",
	"                ",
	"                ",
	"                ",
	"                ",
	"    .........W  ",
	"    .........W  ",
	"    .........W  ",
	"    .........W  ",
	"    .........W  ",
	"    .........W  ",
	"    .........W  ",
	"    .........W  ",
	"    .........W  ",
	"      WWWWWWW   ",
	"                ",
	"                ",
};
#endif
