#include <iostream.h>
#include "DVB.hh"

int main()
{

	DVB dvbd("/dev/video0", "/dev/vbi0");
  
	#define SCANALL
#ifdef SCANALL

#ifdef NAPI
	//	dvbd.use_osd();
	//dvbd.AddLNB(1, 1, 9750000, 10600000, 11800000, 0, NOID, NOID);
	//dvbd.AddSat(1, 1, "Astra", 11700000, 12700000);
  
	//dvbd.AddLNB(2, 1, 9750000, 10600000, 11800000, 1, NOID, NOID);
	//dvbd.AddSat(2, 2, "Hotbird", 10700000, 12700000);

	dvbd.AddLNB(3, 1, 9750000, 10600000, 11800000, 2, NOID, NOID);
	dvbd.AddSat(3, 3, "Thor", 11900000, 12100000);
	/*

	dvbd.AddLNB(3, 1, 9750000, 10600000, 11800000, 3, NOID, NOID);
	dvbd.AddSat(3, 3, "Sirius", 11900000, 12100000);
	*/
#else
  switch (dvbd.front.type) {
   
  case FRONT_DVBC:
    dvbd.AddLNB(1, FRONT_DVBC, 0, 0, 0, -1, NOID, NOID);
    dvbd.AddSat(1, 1, "TK-Cable", 322000000, 454000000);
    break;

  case FRONT_DVBS:
	dvbd.AddLNB(1, 1, 9750000, 10600000, 11800000, 0, NOID, NOID);
	dvbd.AddSat(1, 1, "Astra", 11700000, 12700000);
  
	dvbd.AddLNB(2, 1, 9750000, 10600000, 11800000, 1, NOID, NOID);
	dvbd.AddSat(2, 2, "Hotbird", 10700000, 12700000);

	dvbd.AddLNB(3, 1, 9750000, 10600000, 11800000, 2, NOID, NOID);
	dvbd.AddSat(3, 3, "Thor", 11900000, 12100000);
    
    //dvbd.AddLNB(1, 1, 9750000, 10600000, 11800000, 0, NOID, NOID);
    //dvbd.AddSat(1, 1, "Astra", 11700000, 12800000);
    //dvbd.AddSat(1, 1, "Astra", 11700000, 12800000);
    
    //dvbd.AddLNB(2, 1, 9750000, 10600000, 11800000, 1, NOID, NOID);
    //dvbd.AddSat(2, 2, "Hotbird", 12015000, 12100000);
    /*
      
      dvbd.AddLNB(3, 1, 9750000, 10600000, 11800000, 2, NOID, NOID);
      dvbd.AddSat(3, 3, "Thor",  10700000, 12800000);
    dvbd.AddLNB(3, 1, 9750000, 10600000, 11800000, 2, NOID, NOID);
    dvbd.AddSat(3, 3, "Sirius", 11900000, 12100000);
    */
    break;
  }
#endif
  dvbd.scan();
#else
  char *name;

#ifdef NAPI
    name="TEST";  
#else
  switch (dvbd.front.type) {
  case FRONT_DVBC:
    name="CABLE";
    break;
  default:
  case FRONT_DVBS:
    name="TEST";
    break;
  }
#endif
  ifstream ifs(name);
  ifs >> dvbd;

  dvbd.scan_all_tps();
#endif
  cout << dvbd;

#ifndef NAPI
  dvbd.osd.Close(1);
#endif
}
